
Foreman - Bug #12891

search_by_params for host returns all hosts

12/21/2015 01:22 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Search   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2993

  

Description

In search_by_params:

 p = Parameter.all(opts)

returns: ArgumentError: wrong number of arguments (1 for 0)

making the search fail.

As a result all hosts are returned.

Related issues:

Related to Foreman - Feature #7230: Upgrade Ruby on Rails to 4.1 Closed 08/22/2014

Associated revisions

Revision f1a6dee3 - 12/21/2015 08:30 AM - Ori Rabin

Fixes #12891 - search_by_params and search_by_user for host return correct results

History

#1 - 12/21/2015 01:22 AM - Ori Rabin

- Related to Feature #7230: Upgrade Ruby on Rails to 4.1 added

#2 - 12/21/2015 01:52 AM - Ori Rabin

This also happens in search_by_user

#3 - 12/21/2015 01:57 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2993 added

#4 - 12/21/2015 09:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f1a6dee39e6375d87d29d0dd44084d23743df8da.

#5 - 12/21/2015 09:20 AM - Dominic Cleal

- Category set to Search

- translation missing: en.field_release set to 71

I think this is a Rails 4 specific regression, please correct me if not so we can assign it to an appropriate release.
